## rtl-ais 0.3+git20240507+ds

=== Makefile ===
CFLAGS?=-O2 -g -Wall  
CFLAGS+= -I./aisdecoder -I ./aisdecoder/lib -I./tcp_listener 
LD_EXTRA_PATHS= -L /usr/lib/arm-linux-gnueabihf/ -L /usr/lib/i386-linux-gnu/ -L /usr/lib/x86_64-linux-gnu/
LDFLAGS+=-lpthread -lm $(LD_EXTRA_PATHS)
ifeq ($(PREFIX),)
    PREFIX := /usr/local
endif
UNAME := $(shell uname)
ifeq ($(UNAME),Linux)
#Conditional for Linux
CFLAGS+= $(shell pkg-config --cflags librtlsdr)
LD_LIBRTLSDR=$(shell pkg-config --libs librtlsdr)
#Ugly hack. Check if the output of pkg-config is long enough to be valid
LD_LIBRTLSDR_LENGTH := $(shell echo "$(LD_LIBRTLSDR)" | wc -c)
ifeq ($(shell test $(LD_LIBRTLSDR_LENGTH) -gt 13; echo $$?),0)
#The  pkg-config output seem to be ok, let's use it
	LDFLAGS+=$(shell pkg-config --libs librtlsdr)
else
#The  pkg-config output seem to be too short, use the default lib name and default paths
	LDFLAGS+=-lrtlsdr
endif

else
#
#ADD THE CORRECT PATH FOR LIBUSB AND RTLSDR
#TODO:
#    CMAKE will be much better or create a conditional pkg-config


# RTLSDR
RTLSDR_INCLUDE=/tmp/rtl-sdr/include
RTLSDR_LIB=/tmp/rtl-sdr/build/src

# LIBUSB
LIBUSB_INCLUDE=/tmp/libusb/include/libusb-1.0
LIBUSB_LIB=/tmp/libusb/lib

ifeq ($(UNAME),Darwin)
#Conditional for OSX
CFLAGS+= -I/usr/local/include/ -I/opt/homebrew/include -I$(LIBUSB_INCLUDE) -I$(RTLSDR_INCLUDE)
LDFLAGS+= -L/usr/local/lib -L/opt/homebrew/lib -L$(LIBUSB_LIB) -L$(RTLSDR_LIB) -lrtlsdr -lusb-1.0 
else
#Conditional for Windows
CFLAGS+=-I $(LIBUSB_INCLUDE) -I $(RTLSDR_INCLUDE)
LDFLAGS+=-L$(LIBUSB_INCLUDE) -L$(RTLSDR_LIB) -L/usr/lib -lusb-1.0 -lrtlsdr -lWs2_32
endif


endif

CC?=gcc
SOURCES= \
	main.c rtl_ais.c convenience.c \
	./aisdecoder/aisdecoder.c \
	./aisdecoder/sounddecoder.c \
	./aisdecoder/lib/receiver.c \
	./aisdecoder/lib/protodec.c \
	./aisdecoder/lib/hmalloc.c \
	./aisdecoder/lib/filter.c \
	./tcp_listener/tcp_listener.c

OBJECTS=$(SOURCES:.c=.o)
EXECUTABLE=rtl_ais

all: $(SOURCES) $(EXECUTABLE)
    
$(EXECUTABLE): $(OBJECTS) 
	$(CC) $(OBJECTS) -o $@ $(LDFLAGS)

.c.o:
	$(CC) -c $< -o $@ $(CFLAGS)

clean:
	rm -f $(OBJECTS) $(EXECUTABLE) $(EXECUTABLE).exe

install:
	install -d -m 755 $(DESTDIR)/$(PREFIX)/bin
	install -m 755 $(EXECUTABLE) "$(DESTDIR)/$(PREFIX)/bin/"

=== tcp_listener/Makefile ===
libtcp_listener.a: libtcp_listener.o
	ar rcs $@ $^

libtcp_listener.o: tcp_listener.c
	gcc -c -o $@ $<

clean:
	rm -f *.o *.a

=== debian/changelog ===
rtl-ais (0.3+git20240507+ds-2) unstable; urgency=medium

  * Bump standards version to 4.7.2.
  * d/control: set Vcs fields.

 -- Alex Myczko <tar@debian.org>  Fri, 07 Nov 2025 09:54:21 +0100

rtl-ais (0.3+git20240507+ds-1) unstable; urgency=medium

  * Initial release. (Closes: #1070697)

 -- Alex Myczko <tar@debian.org>  Tue, 07 May 2024 12:03:02 +0000

=== debian/control ===
Source: rtl-ais
Section: hamradio
Priority: optional
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: Alex Myczko <tar@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 librtlsdr-dev,
 pkgconf
Standards-Version: 4.7.2
Homepage: https://github.com/dgiardini/rtl-ais
Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/rtl-ais
Vcs-Git: https://salsa.debian.org/debian-hamradio-team/rtl-ais.git

Package: rtl-ais
Architecture: any
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: simple AIS tuner and generic dual-frequency FM demodulator
 This provides the rtl_ais command, which decodes AIS data from Software
 Defined Radio (SDR) and outputs AIVDM / AIVDO sentences.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

# See FEATURE AREAS in dpkg-buildflags(1).
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# See ENVIRONMENT in dpkg-buildflags(1).
# Package maintainers to append CFLAGS.
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# Package maintainers to append LDFLAGS.
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_auto_install:
	$(MAKE) DESTDIR=$$(pwd)/debian/rtl-ais PREFIX=/usr install
